Skip to main content
POST
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
references
Create project template reference files
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'file={
  "contentType": "<string>",
  "originalFilename": "<string>",
  "name": "<string>",
  "bytes": [
    "aSDinaTvuI8gbWludGxpZnk="
  ],
  "empty": true,
  "size": 123,
  "inputStream": {}
}'
{
  "referenceFiles": [
    {
      "id": "<string>",
      "uid": "<string>",
      "filename": "<string>",
      "note": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "createdBy": {
        "firstName": "<string>",
        "lastName": "<string>",
        "userName": "<string>",
        "email": "<string>",
        "role": "SYS_ADMIN",
        "id": "<string>",
        "uid": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required

Body

multipart/form-data

Multipart request with files and JSON

json
object
file
object[]

Files with appropriate Content-Type header

Response

Created

referenceFiles
object[]